<p>Pretpostavimo sada da za neku linearnu transformaciju želimo odrediti kako izgleda njezina pripadna matrica. Razmotrit ćemo 2D slučaj, ali postupak je općenit.</p>

<p>Podsjetimo se, u 2D-prostoru, linearna transformacija vektora \(\vec x = (x,y)\) određena je izrazom:
\[
L(\vec x) = [\begin{array}{cc}\hat x &amp; \hat y\end{array}] = 
[\begin{array}{cc}x &amp; y\end{array}] \cdot
\left[ \begin{array}{cc}a &amp; b \\ c &amp; d\end{array} \right]
\]
Pogledajmo u što ona prevodi jedinični vektor u smjeru x-osi:
\[
L(\vec i) = 
[\begin{array}{cc}1 &amp; 0\end{array}] \cdot
\left[ \begin{array}{cc}a &amp; b \\ c &amp; d\end{array} \right] =
[\begin{array}{cc}a &amp; b\end{array}]
\]
Jedinični vektor u smjeru y-osi prevodi se u:
\[
L(\vec j) = 
[\begin{array}{cc}0 &amp; 1\end{array}] \cdot
\left[ \begin{array}{cc}a &amp; b \\ c &amp; d\end{array} \right] =
[\begin{array}{cc}c &amp; d\end{array}]
\]
Stoga, uz pretpostavku da možemo vizualizirati što linearna transformacija radi, dovoljno je pogledati u koji vektor ona preslikava jedinične vektore \(\vec i\) i \(\vec j\): rezultat su izravno koeficijenti tražene matrice \(\mathbf{A}\). Time simbolički matricu \(\mathbf{A}\) možemo zapisati i ovako:
\[
\mathbf{A} = \left[ \begin{array}{c} L(\vec i) \\ L(\vec j) \end{array} \right].
\]
</p>

<p>Dobiveni rezultat bit će nam od velike pomoći za izvođenje matrica koje će opisivati skaliranje, rotaciju i smik jer su sve navedene transformacije linearne.</p>

